Kirjoittaja Aihe: Päivitysongelma Kubuntu 20.04 [RATKAISTU]  (Luettu 8142 kertaa)

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #20 : 08.01.21 - klo:18.50 »
Asensin, ei vain vieläkään toimi (alla). Ajoin vielä sudo update-grub, ei toimi. Pitäisikö nuo 5.8 paketit poistaa ja hyväksyä 5.4 päivitys?

No ehkäpä tuo 5.8 kannattaa poistaa. Seuraava tarjolle tuleva 5.8:n versio (-36) asentuu automaattisesti, kunhan tulee saataville pakettilähteisiin. Sitten pääset kokeilemaan uudelleen, lähteekö toimimaan vai ei.

5.4:n päivityksen voi joka tapauksessa hyväksyä. Sen ei pitäisi sotkea asioita enempää.

Kun poistin 5.8.0-34 paketteja, asentui -36 samalla. Huomasin toki,että se asennetaan, mutta halusin kokeilla. Sitä ei tarjottu normaalisti, kun keskeytin ja kokeilin, vain 5.4:n päivitys. Sekään ( 5.8.0-36) ei toiminut. Poistin myös sen ja päivitin version 5.4 (-60).

Tällä hetkellä toimii, eikä grubissa ole toimimattomia versioita. Tietokone on yli 10 vuotta vanha. Mahtaako siitä johtua, ettei 5.8 toimi.

Miten saan estettyä ettei 5.8 ytimiä asennu?

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3034
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #21 : 08.01.21 - klo:19.56 »
Hmm mietin vaan että mulle ei edes tarjota 5.8 ytimiä, onko jossain kohtaa tehty joku valinta uudemman ytimen käyttöönottoon? Ja oma kone kuten allekirjoituksesta näkyy on melko uusi.
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 20.04.01-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 610
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #22 : 08.01.21 - klo:20.18 »
Hmm mietin vaan että mulle ei edes tarjota 5.8 ytimiä, onko jossain kohtaa tehty joku valinta uudemman ytimen käyttöönottoon? Ja oma kone kuten allekirjoituksesta näkyy on melko uusi.
Linux-image 5.8 on käytössä nimenomaan Ubuntu 20.10. Eli eiköhän ko. kernel-versio Ubuntu/Xubuntu/Kubuntussa 20.04 Focal ole kokeellinen, ja jakelun peruskernel on (mahdollisesti koko Focal:in elinkaaren aikana) mallia 5.4.0-xxx. Näinhän toimittanee vakaassa Debian-versiossa.
Nykyisin kuitenkin Canonical tarjoaa uusimman kernel-version myös vanhempiin jakeluversioihin, mutta tuo voi johtaa joskus (tilapäisiin) ristiriitoihin - kuten kysyjän kohdalla.
Kun 20.04 Focal on LTS-versio, kannattaa ehkä harkita, onko välttämätöntä käyttää uusinta uutta kernel-versiota.
Kun kerran on asentanut uusimman kernelin 5.8 Focal:iin, se toki päivittyy, kun uusi versio on tarjolla.
Luulisin, että poistettaessa ko. kernel käytöstä, ei paketinhallinta tuota uusinta enää oletuksena tarjoaisi.
« Viimeksi muokattu: 08.01.21 - klo:20.36 kirjoittanut juyli »

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #23 : 08.01.21 - klo:20.27 »
En ole tietoisesti valinnut, että ydin päivitetään versioon 5.8.

Onko mahdollista, että minulla on päivitysvalinoissa ruksi jossain väärässä kohtaa?

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3034
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #24 : 08.01.21 - klo:20.30 »
Hmm mietin vaan että mulle ei edes tarjota 5.8 ytimiä, onko jossain kohtaa tehty joku valinta uudemman ytimen käyttöönottoon? Ja oma kone kuten allekirjoituksesta näkyy on melko uusi.
Linux-image 5.8 on käytössä nimenomaan Ubuntu 20.10. Eli eiköhän ko. kernel-versio Ubuntu/Xubuntu/Kubuntussa 20.04 Focal ole kokeellinen, ja jakelun peruskernel on (mahdollisesti koko Focal:in elinkaaren aikana) mallia 5.4.0-xxx. Näinhän toimittanee vakaassa Debian-versiossa.
Nykyisin kuitenkin Canonical tarjoaa uusimman kernel-version myös vanhempiin jakeluversioihin, mutta tuo voi johtaa joskus (tilapäisiin) ristiriitoihin - kuten kysyjän kohdalla.
Kun 20.04 Focal on LTS-versio, kannattaa ehkä harkita, onko välttätöntä käyttää uusinta uutta kernel-versiota.
Kun kerran on asentanut uusimman kernelin 5.8 Focal:iin, se toki päivittyy, kun uusi versio on tarjolla.
Luulisin, että poistettaessa ko. kernel käytöstä, ei paketinhallinta tuota uusinta enää oletuksena tarjoaisi.

Niin no mpisolla on ilmeisesti Kubuntu 20.04.01 kuten minullakin. Omani ei ole tosiaan ruvennut tyrkyttämään 5.8 versiota kernelistä.  Eli ehkäpä tosiaan jossain voi olla ruksi väärässä kohtaa. Olisko joku experimental pakettilähde käytössä?
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 20.04.01-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3034
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #25 : 08.01.21 - klo:20.33 »
Omakohtaisesti muistan kun tuli vanhan 12.04:än tai 10.04 aikaan kikkailtua noiden kernelien kanssa. Piti saada uusinta uutta, ja se ja Nvidian suljettu ajuri yhdistelmä ei tosiaan toiminut kuin strömsössä...
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 20.04.01-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

AimoE

  • Käyttäjä
  • Viestejä: 2120
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #26 : 08.01.21 - klo:20.34 »
Olisko joku experimental pakettilähde käytössä?
Minulla ei ole, ja silti se tarjoutuu.

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3034
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #27 : 08.01.21 - klo:20.46 »
Olisko joku experimental pakettilähde käytössä?
Minulla ei ole, ja silti se tarjoutuu.
Tarjoutuu erikseen asennettavaksi vaiko tyyliin kun ajaa komentoriviltä päivityskäskyt päivityslistaan? Erikoista, pitäisi olla sama käyttis mutta eri käytös.....
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 20.04.01-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 610
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #28 : 08.01.21 - klo:20.48 »
Olisko joku experimental pakettilähde käytössä?
Minulla ei ole, ja silti se tarjoutuu.
Aiemmin oli tarjolla Proposed-repo, mutta tuota tuskin on enää käytössä.
Luulen, että olet joskus asentanut tuo 5.8 -kernelin, joka toki siis on tarjolla virallisista Ubuntu-repoista,
kuten jo aiemmin packages.ubuntu.com -sivuilta löytyi. Se ei kuitenkaan asennu oletuksena Focal-jakeluun.
Oletuskernel on Focal:ssa mallia linux-image-5.4.0-xxx

Jos haluat unohtaa tuon 5.8 -kernelin, pitänee se poistaa paketinhallinnasta karvoineen päivinee, jolloin
se ei enää tule kummittelemaan päivityksissä. (Ohjeet Nm:n viestistä aiemmin)
5.8 -kerneliä ei tarjota korvaamaan/päivittämään jakelun 5.4-kerneliä.

Lisäys: toki minua yhä ihmetyttää, että UUID:t voisivat olla samat kahdella eri Kubuntu-versiolla (18.04/20.04) laitteen eri
levyosioilla - ei toimivuustakuuta.
grub-valikon editointi on mahdollista, painamalla e (edit) valittavan vaihtoehdon kohdalla ennen ko. valinnan aktivoimista.
« Viimeksi muokattu: 08.01.21 - klo:21.18 kirjoittanut juyli »

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #29 : 08.01.21 - klo:21.37 »
Olisko joku experimental pakettilähde käytössä?
Minulla ei ole, ja silti se tarjoutuu.
Tarjoutuu erikseen asennettavaksi vaiko tyyliin kun ajaa komentoriviltä päivityskäskyt päivityslistaan? Erikoista, pitäisi olla sama käyttis mutta eri käytös.....

Minulla ainakin päivittyi normaaleilla komentorivikomennoilla (sudo apt update, sudo apt dist-upgrade).

Alla pakettilähteet:
Koodia: [Valitse]
mpiso@mpiso-System-Product-Name:~$ cat /etc/apt/sources.list   
# deb cdrom:[Kubuntu 20.04 LTS _Focal Fossa_ - Release amd64 (20200423)]/ focal main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fi.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal universe
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://fi.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fi.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://fi.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.

Olisko joku experimental pakettilähde käytössä?
Minulla ei ole, ja silti se tarjoutuu.
Aiemmin oli tarjolla Proposed-repo, mutta tuota tuskin on enää käytössä.
Luulen, että olet joskus asentanut tuo 5.8 -kernelin, joka toki siis on tarjolla virallisista Ubuntu-repoista,
kuten jo aiemmin packages.ubuntu.com -sivuilta löytyi. Se ei kuitenkaan asennu oletuksena Focal-jakeluun.
Oletuskernel on Focal:ssa mallia linux-image-5.4.0-xxx

Jos haluat unohtaa tuon 5.8 -kernelin, pitänee se poistaa paketinhallinnasta karvoineen päivinee, jolloin
se ei enää tule kummittelemaan päivityksissä. (Ohjeet Nm:n viestistä aiemmin)
5.8 -kerneliä ei tarjota korvaamaan/päivittämään jakelun 5.4-kerneliä.

Lisäys: toki minua yhä ihmetyttää, että UUID:t voisivat olla samat kahdella eri Kubuntu-versiolla (18.04/20.04) laitteen eri
levyosioilla - ei toimivuustakuuta.
grub-valikon editointi on mahdollista, painamalla e (edit) valittavan vaihtoehdon kohdalla ennen ko. valinnan aktivoimista.

Yritin poistaa ne parhaani mukaan, mutta en ole täysin varma. Grub valikossa niitä (5.8 ) ei ole.

Ei, UUID:t ovat samat kahdella eri Kubuntu-versiolla, samalla levyosioilla. Jos katsot kuvaa tarkemmin niin näet, ettei osio ole edes liitetty (not mounted). Kuva on otettu kun käytössä on 18.04.

JaniAlander

  • Käyttäjä / moderaattori+
  • Viestejä: 3034
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #30 : 08.01.21 - klo:22.50 »
Hmm backports repo, eikö se meinaa uudemmasta versiosta taapäin portattuja paketteja? Tulisko se 5.8 sieltä?
Core i5-9400F 2.9ghz 32GB Ram, Nvidia RTX2060 Kubuntu 20.04.01-64bit, Windows 10 Pro 64-bit Samsung Series 5, AMD A-6 2.1 GHz 4 Gt Ram, Ubuntu 18.04 64-bit.
Lenovo T60 Core2Duo 2GB Ram Ati Mobility Radeon 128 MB Ubuntu Mate 16.04-64bit
Commodore Amiga 500 1MB Ram.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 610
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #31 : 09.01.21 - klo:00.44 »
Yritin poistaa ne parhaani mukaan, mutta en ole täysin varma. Grub valikossa niitä (5.8 ) ei ole.
Mitä löytyy /boot -hakemistosta? update-grub luo uuden /boot/grub/grub.cfg -tiedoston - ja grub-install asentaa ko. jakelussa määritellyn /etc/grub/grub.cfg -tiedoston mukaan järjestelmäån. Asetuksia voi myös määritellä tiedostossa /etc/default/grub
Ei, UUID:t ovat samat kahdella eri Kubuntu-versiolla, samalla levyosioilla.
Tuohon en aikuisen oikeasti usko. Levyosiolla pitäisi siis olla kahden eri jakeluversion ohjelmistot, toisistaan riippumattomat kirjastot, kernel-versiot jne. jne. jne.
Jonkin asteinen toimivuus on aivan hiuskarvan varassa...

Vieläkö tarkistaisit blkid tulosteen?

AimoE

  • Käyttäjä
  • Viestejä: 2120
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #32 : 09.01.21 - klo:08.17 »
Tarjoutuu erikseen asennettavaksi vaiko tyyliin kun ajaa komentoriviltä päivityskäskyt päivityslistaan? Erikoista, pitäisi olla sama käyttis mutta eri käytös.....

Sekä komentorivillä (sudo apt full-upgrade) että graafisesti, käynnistämällä Ohjelmistopäivitys. Ja ei, proposed ei ole ruksattuna, joten en yhtään tiedä miksi 5.8 on tarjolla minulle. Olen asentanut kaikki  päivitykset mitä 20.04.1 LTS:lle tarjotaan.

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #33 : 09.01.21 - klo:12.50 »
Yritin poistaa ne parhaani mukaan, mutta en ole täysin varma. Grub valikossa niitä (5.8 ) ei ole.
Mitä löytyy /boot -hakemistosta?
Tämä:
Koodia: [Valitse]
mpiso@mpiso-System-Product-Name:~$ ls -l /boot
yhteensä 192016
-rw-r--r-- 1 root root   237764 joulu  10 13:37 config-5.4.0-59-generic
-rw-r--r-- 1 root root   237764 tammi   5 18:51 config-5.4.0-60-generic
drwx------ 2 root root     4096 tammi   1  1970 efi
drwxr-xr-x 4 root root     4096 tammi   8 18:05 grub
lrwxrwxrwx 1 root root       27 tammi   8 17:45 initrd.img -> initrd.img-5.4.0-60-generic
-rw-r--r-- 1 root root 80713804 tammi   8 17:19 initrd.img-5.4.0-59-generic
-rw-r--r-- 1 root root 81970386 tammi   8 17:49 initrd.img-5.4.0-60-generic
lrwxrwxrwx 1 root root       27 tammi   8 18:04 initrd.img.old -> initrd.img-5.4.0-59-generic
-rw-r--r-- 1 root root   182704 elo    18 13:46 memtest86+.bin
-rw-r--r-- 1 root root   184380 elo    18 13:46 memtest86+.elf
-rw-r--r-- 1 root root   184884 elo    18 13:46 memtest86+_multiboot.bin
-rw------- 1 root root  4746296 joulu  10 13:37 System.map-5.4.0-59-generic
-rw------- 1 root root  4746296 tammi   5 18:51 System.map-5.4.0-60-generic
lrwxrwxrwx 1 root root       24 tammi   8 17:45 vmlinuz -> vmlinuz-5.4.0-60-generic
-rw------- 1 root root 11686656 joulu  10 13:40 vmlinuz-5.4.0-59-generic
-rw------- 1 root root 11686656 tammi   6 12:55 vmlinuz-5.4.0-60-generic
lrwxrwxrwx 1 root root       24 tammi   8 18:04 vmlinuz.old -> vmlinuz-5.4.0-59-generic

Ei, UUID:t ovat samat kahdella eri Kubuntu-versiolla, samalla levyosioilla.
Tuohon en aikuisen oikeasti usko. Levyosiolla pitäisi siis olla kahden eri jakeluversion ohjelmistot, toisistaan riippumattomat kirjastot, kernel-versiot jne. jne. jne.
Jonkin asteinen toimivuus on aivan hiuskarvan varassa...

Vieläkö tarkistaisit blkid tulosteen?


Kubuntu 18.04 on osiolla /dev/sdc1 ja 20.04 on osiolla /dev/sda5, eli ne ovat kokonaan eri levyllä. Osiolla /dev/sda5 on sama UUID, katsoi sitä siten versiolla 18.04 tai 20.04 (5.4). Ytimellä 5.8 kone käynnistyi vain initramfs kohtaan. Siinä blkid ei tee mitään, ei anna edes virheilmoitusta. Tuon edellisen perusteella oletan kuitenkin, että UUID olisi siinäkin sama. Kun tarkastelin grubia (näppäilin e) niin ytimillä 5.4 ja 5.8 tuo UUID oli tuo sama. Minulla ei siis ollut perusteita muuttaa mitään.

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #34 : 09.01.21 - klo:13.52 »
Hmm backports repo, eikö se meinaa uudemmasta versiosta taapäin portattuja paketteja? Tulisko se 5.8 sieltä?

Sinullako ei tuossa kohdassa ole ruksi (tässä tulosteessa risuaitaa edessä)?

nm

  • Käyttäjä
  • Viestejä: 14486
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #35 : 09.01.21 - klo:16.19 »
(K)Ubuntu 20.04:ssä kernelin versio 5.8 liittyy HWE-päivityksiin. Jos paketti linux-generic-hwe-20.04 on asennettuna, kerneli päivittyy automaattisesti 5.8-sarjaan. Nähtävästi 20.04.1:ssä tuo paketti on joissain tapauksissa oletuksena asennettuna. Tämä saattaa johtua muutoksesta Ubuntun käytännöissä (aiemmin HWE on ollut vakiona päällä vain LTS:n .2-versiosta lähtien), tai voi olla, että HWE-paketti asentuu jonkin käyttäjän tekemään valinnan seurauksena. En vielä löytänyt tarkempaa tietoa, mutta syy selvinnee lähipäivinä.

Tulevien 5.8-kernelin päivitysten asentumisen voi estää poistamalla tuon hwe-paketin:

Koodia: [Valitse]
sudo apt purge linux-generic-hwe-20.04

AimoE

  • Käyttäjä
  • Viestejä: 2120
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #36 : 09.01.21 - klo:16.40 »
Oho, noin kimurantti. Onneksi 5.8 ei ole aiheuttanut ongelmia minulle. Toistaiseksi.

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #37 : 09.01.21 - klo:16.53 »
(K)Ubuntu 20.04:ssä kernelin versio 5.8 liittyy HWE-päivityksiin. Jos paketti linux-generic-hwe-20.04 on asennettuna, kerneli päivittyy automaattisesti 5.8-sarjaan. Nähtävästi 20.04.1:ssä tuo paketti on joissain tapauksissa oletuksena asennettuna. Tämä saattaa johtua muutoksesta Ubuntun käytännöissä (aiemmin HWE on ollut vakiona päällä vain LTS:n .2-versiosta lähtien), tai voi olla, että HWE-paketti asentuu jonkin käyttäjän tekemään valinnan seurauksena. En vielä löytänyt tarkempaa tietoa, mutta syy selvinnee lähipäivinä.

Tulevien 5.8-kernelin päivitysten asentumisen voi estää poistamalla tuon hwe-paketin:

Koodia: [Valitse]
sudo apt purge linux-generic-hwe-20.04

Menee todella mystiseksi, minulla ei ole tuota pakettia! Etsin sitä myös päivityshistoriasta, ei löydy.  Merkkejä lopusta poistettaessa ”linux-generic” on ensimmäinen joka antaa osumia.

Koodia: [Valitse]
mpiso@mpiso-System-Product-Name:~$ sudo apt purge linux-generic-hwe-20.04
[sudo] mpiso-käyttäjän salasana:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Pakettia 'linux-generic-hwe-20.04' ei ole asennettu, joten sitä ei poistettu
0 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.

nm

  • Käyttäjä
  • Viestejä: 14486
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #38 : 09.01.21 - klo:17.05 »
Varmista myös, ettei järjestelmässä ole pakettia linux-generic-hwe-20.04-edge:

Koodia: [Valitse]
sudo apt purge linux-generic-hwe-20.04-edge
Jos sitäkään ei ole, en osaa sanoa, mistä kernelin versio 5.8 on ilmaantunut järjestelmääsi.

mpiso

  • Käyttäjä
  • Viestejä: 543
    • Profiili
Vs: Päivitysongelma Kubuntu 20.04
« Vastaus #39 : 09.01.21 - klo:17.12 »
Ei ole sitäkään.

Koodia: [Valitse]
mpiso@mpiso-System-Product-Name:~$ sudo apt purge linux-generic-hwe-20.04-edge
[sudo] mpiso-käyttäjän salasana:
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Pakettia 'linux-generic-hwe-20.04-edge' ei ole asennettu, joten sitä ei poistettu
0 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.